import logging
import os

def setup_logging(log_dir="logs", log_file="alarm_system.log", level=logging.DEBUG):
    os.makedirs(log_dir, exist_ok=True)
    log_path = os.path.join(log_dir, log_file)

    logging.basicConfig(
        level=level,
        format='%(asctime)s - %(name)s - %(levelname)s - %(message)s',
        handlers=[
            logging.FileHandler(log_path, mode='a', encoding='utf-8')
        ]
    )
    logger = logging.getLogger("AlarmSystem")
    return logger
