#!/usr/bin/python3

import curses
from ncurses_handlers import AlarmClock
from alarm_api_client.alarm_api_client import AlarmApiClient

def main(stdscr):
    """Main entry point for the ncurses alarm clock client."""
    try:
        alarm_clock = AlarmClock(stdscr)
        alarm_clock.run()
    except Exception as e:
        # Fallback error handling
        curses.endwin()
        print(f"An error occurred: {e}")

if __name__ == "__main__":
    curses.wrapper(main)
